- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
ClearableGraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseGraphComponent>
class lemon::concepts::ClearableGraphComponent< BAS >

This class describes the interface of clearable undirected graphs. It extends BaseGraphComponent with a function for clearing the graph. This concept requires AlterableGraphComponent.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for ClearableGraphComponent< BAS >:
[legend]

## Additional Inherited Members
Public Member Functions inherited from ClearableDigraphComponent< BAS >
void | clear ()
| Erase all nodes and arcs from the digraph. More...